The per-item log lines of one run
curl --request GET \
--url http://127.0.0.1:4319/memory/index/runs/{id}/eventsimport requests
url = "http://127.0.0.1:4319/memory/index/runs/{id}/events"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('http://127.0.0.1:4319/memory/index/runs/{id}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "http://127.0.0.1:4319/memory/index/runs/{id}/events"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.get("http://127.0.0.1:4319/memory/index/runs/{id}/events")
.asString();using RestSharp;
var options = new RestClientOptions("http://127.0.0.1:4319/memory/index/runs/{id}/events");
var client = new RestClient(options);
var request = new RestRequest("");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
{
"events": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message": "[3/12] chunk notes.pdf › Intro → Postgres (+1 relationship)",
"itemId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {},
"createdAt": "2023-11-07T05:31:56Z"
}
]
}Indexing & graph
The per-item log lines of one run
GET
/
memory
/
index
/
runs
/
{id}
/
events
The per-item log lines of one run
Path Parameters
Response
200 - application/json
Events, oldest first.
⌘I